package com.miyzh.entity;

import lombok.Data;
import org.springframework.beans.BeanUtils;

@Data
public class OrderDetailTemp extends OrderDetail {

    private String misNo; //医保结算单号

    private String settledTypeNo; //结算方式编码

    private String settledTypeName; //结算方式名称

    private String settledstatus; //结算状态

    private String totalAmt; //订单总金额

    private String insuranceAmt; //医保结算金额

    private String operater; //操作员

    private String saleDate; //销售日期

    private String saleTime; //销售时间

    private String buyMedPerson; //购药人

    private String sex; //性别

    private String age; //年龄

    private String idCard; //身份证号

    private String credentialNum; //医保卡号

    private String storeOrderNo; //处方ID

    private String visitCode; //就诊编号

    private String num; //数量

    private String isUnpacking; // 是否拆零

    private String queryTime; // 查询时间


    public static OrderDetail temp2OrderDetail(OrderDetailTemp orderDetailTemp) {
        OrderDetail orderDetail = new OrderDetail();
        BeanUtils.copyProperties(orderDetailTemp, orderDetail);
        return orderDetail;
    }



}


