package com.miyzh.entity.dto;

import com.miyzh.entity.MedicineReturn;
import com.miyzh.entity.MedicineReturnTemp;
import com.miyzh.entity.OrderDetail;
import com.miyzh.entity.OrderDetailTemp;
import lombok.Data;

import java.util.List;

@Data
public class OrderDetailDto{

    private String storeCode; // 医药机构编码

    private String storeOrderNo; //机构销售订单编号

    private String misNo; //医保结算单号

    private String settledTypeNo; //结算方式编码

    private String settledTypeName; //结算方式名称

    private String settledstatus; //结算状态

    private String totalAmt; //订单总金额

    private String insuranceAmt; //医保结算金额

    private String operater; //操作员

    private String saleDate; //销售日期

    private String saleTime; //销售时间

    private String buyMedPerson; //购药人

    private String sex; //性别

    private String age; //年龄

    private String idCard; //身份证号

    private String credentialNum; //医保卡号

    private List<OrderDetail> orderDetails; // 订单列表


}
